Post news RSS Update 01:

I'll be adding some new screenshots and hopefully a video very soon...

Posted by on

I recently discovered through play testing that in order to play this mod it is necessary to have Rune Gold, version 1.07 and above installed on your computer, which is most unfortunate...

Screenshots Screenshots

I'm currently going through the mod and changing various files so it will be more compatible with other versions of Rune. Hopefully this is possible and it will not take too much time...

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.